Bug 158135 - I18N : mnemonic key for "Activate" is always set to the 1st character
I18N : mnemonic key for "Activate" is always set to the 1st character
Status: RESOLVED FIXED
Product: ide
Classification: Unclassified
Component: Features On Demand
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Pavel Flaska
issues@performance
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 00:28 UTC by Masaki Katakai
Modified: 2009-06-21 13:43 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
proposed patch, could you evaluate? (1.46 KB, patch)
2009-02-08 00:31 UTC, Masaki Katakai
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Masaki Katakai 2009-02-08 00:28:04 UTC
It seems that the mnemonic key is always set as the 1st character for "Activate" button.

ide.ergonomics/src/org/netbeans/modules/ide/ergonomics/fod/ConfigurationPanel.java:

        downloadButton.setText(btnMsg);
        downloadButton.setMnemonic(btnMsg.charAt(0));

It will not be valid when the label is localized. Please use '&' and org.openide.awt.Mnemonics.setLocalizedText()
to set mnemonic like

org/netbeans/modules/ide/ergonomics/fod/Bundle.properties:

+LBL_Download=&Download and Install
+LBL_Enable=&Activate

org/netbeans/modules/ide/ergonomics/fod/ConfigurationPanel.java:

+        org.openide.awt.Mnemonics.setLocalizedText(infoLabel, lblMsg);
+        org.openide.awt.Mnemonics.setLocalizedText(downloadButton, btnMsg);
Comment 1 Masaki Katakai 2009-02-08 00:31:50 UTC
Created attachment 76699 [details]
proposed patch, could you evaluate?
Comment 2 Tomas Pavek 2009-02-09 15:03:28 UTC
Note that according to the latest UI spec the Activate button should be removed...
Comment 3 Pavel Flaska 2009-03-03 10:56:20 UTC
I will apply the patch for the time being. Bear in mind that Activate button will be perhaps removed, as Tomas noted. Thanks for the patch.
Comment 4 Pavel Flaska 2009-03-03 14:38:37 UTC
Thanks for the patch. Applied.

5eed8ddb3276
Comment 5 Quality Engineering 2009-03-04 09:02:53 UTC
Integrated into 'main-golden', will be available in build *200903040201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/5eed8ddb3276
User: Pavel Flaska <pflaska@netbeans.org>
Log: #158135: Mnemonic. Applied Masaki's patch.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo